Name:    sia
Version: 1.5.9 
Release: 1%{?dist}
License: The MIT License
Summary: Blockchain-based marketplace for file storage
BuildRoot: %{_builddir}/%{name}
BuildArch: x86_64

Url:     https://sia.tech
Group:   Development/Libraries

BuildRequires: unzip

#Source0: https://github.com/NebulousLabs/Sia/releases/download/v%{version}/Sia-v%{version}-linux-amd64.zip
Source0: Sia-v%{version}-linux-amd64.zip
Source1: %{name}d.service
Source2: siad.sysconfig
Source3: siad.profile
Source4: siad.logrotate

Provides:  %{name} = %{version}


%description
Blockchain-based marketplace for file storage

%prep
[ -d Sia-v%{version}-linux-amd64 ] && rm -rf Sia-v%{version}-linux-amd64
[ -d %{buildroot} ] && rm -rf %{buildroot}
unzip %{SOURCE0}
  
%install

mkdir -p %{buildroot}/usr/bin/
mkdir -p %{buildroot}/etc/sysconfig
mkdir -p %{buildroot}/var/lib/sia
mkdir -p %{buildroot}/var/lib/siad-data

install -m 755 Sia-v%{version}-linux-amd64/siac %{buildroot}/usr/bin/
install -m 755 Sia-v%{version}-linux-amd64/siad %{buildroot}/usr/bin/

install -D -m 0644 %{SOURCE1} %{buildroot}/usr/lib/systemd/system/%{name}d.service
install -D -m 0644 %{SOURCE2} %{buildroot}/etc/sysconfig/%{name}d
install -D -m 0644 %{SOURCE3} %{buildroot}/etc/profile.d/%{name}d.sh
install -D -m 0644 %{SOURCE4} %{buildroot}/etc/logrotate.d/%{name}d
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
cp -r Sia-v%{version}-linux-amd64/doc/* %{buildroot}%{_docdir}/%{name}-%{version}

%post 
# see notes about aliasing
alias siac='SIA_DATA_DIR=/var/lib/siad-data siac'
alias siad='SIA_DATA_DIR=/var/lib/siad-data siad'
systemctl daemon-reload
%systemd_post siad.service
# Hack until clearshared can monitor for a sia restart (or locked wallet)
[ -e "/usr/lib/systemd/system/clearshared.service" ] && systemctl condrestart clearshared

%preun
%systemd_preun siad.service

%postun
%systemd_postun_with_restart siad.service


%files
%defattr(-,root,root,-)

/usr/bin/siad
/usr/bin/siac
%config(noreplace) /etc/sysconfig/siad
/usr/lib/systemd/system/siad.service
/var/lib/sia
/var/lib/siad-data
/etc/profile.d/siad.sh
/etc/logrotate.d/siad

%doc
/%{_docdir}/%{name}-%{version}

%changelog
* Fri Jul 22 2022 Nick Howitt <nhowitt@clearcenter.com> 1.5.9-1
- Upstream to 1.5.9
- add wallet unlock to systemd unit file

* Thu Jun  2 2022 Nick Howitt <nhowitt@clearcenter.com> 1.5.8-1
- Upstream to 1.5.8

* Wed Apr 20 2022 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-12
- Now run the scheduler friom cron; tidy up

* Wed Apr  6 2022 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-11
- Remove Requires from unit file

* Mon Mar 28 2022 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-10
- Update unit file

* Fri Mar 25 2022 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-9
- Add systemd dependency on clearsync

* Thu Dec 16 2021 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-8
- Correct the restarting of clearshared after upgrade

* Mon Dec 13 2021 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-7
- Add OOMScoreAdjust=500 to unit file so the OOM killer kills it and not something else

* Mon Nov 29 2021 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-6
- add hack to spec file to restart clearshared if it is installed

* Mon Nov 29 2021 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-5
- add logrotate configlet

* Mon Nov  8 2021 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-4
- spec file fixup

* Mon Nov  8 2021 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-3
- Add Restart=ALways to unit file

* Thu Oct  7 2021 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-2
- Add PIDfile support to systemd unit file

* Wed Sep 22 2021 Nick Howitt <nhowitt@clearcenter.com> 1.5.7-1
- Upstream to version 1.5.7

* Mon May 10 2021 Nick Howitt <nhowitt@clearcenter.com> 1.5.6
- Upstream version 1.5.6 initial commit

# Params : vim -> :set ts=4 sw=4
